/*Primary colour scheme settings light mode*/
[data-md-color-scheme="default"] {
  --md-primary-fg-color:        rgb(24, 52, 125);
  --md-primary-fg-color--light: rgb(251, 251, 251);
  --md-primary-fg-color--dark:  rgb(255, 255, 255);
  --md-default-bg-color: rgb(255, 255, 255);
  --md-search-input: rgb(10, 21, 160);
  --md-typeset-a-color: rgb(47, 103, 245); /*Link colour*/
}

/*Primary colour scheme settings dark mode*/
[data-md-color-scheme="slate"] {
  --md-primary-fg-color:        rgb(24, 52, 125);
  --md-primary-fg-color--light: rgb(255, 255, 255);
  --md-primary-fg-color--dark:  rgb(255, 255, 255);
  --md-default-bg-color: rgb(0, 1, 21);
  --md-typeset-a-color: rgb(75, 105, 245); /*Link colour*/
}

/*Setting for font colour tabs*/
.md-tabs__link {
  color: #9eaff8;
  opacity: 1;
}
/*Setting for font color tabs, active tab*/
.md-tabs__link--active {
  color: #ffffff;
}
/*Setting for font colour tabs, hover tab*/
.md-tabs__link:hover {
  color: #ffffff;
  opacity: 0,9;
}
/*Setting for font colour tabs, click tab*/
.md-tabs__link:focus {
  color: #ffffff;
}

/* Default, light theme, tabs */
.md-tabs {
  background-color: rgb(24, 52, 125);
}

/* Slate theme, tabs */
[data-md-color-scheme=slate] .md-tabs {
  background-color: rgb(24, 52, 125);
}


:root {

  /* Primary color shades */
  --md-primary-fg-color: rgb(255, 255, 255); /* changes colour of upper navigation bar, link colour and siderbar navigation top level*/
  --md-accent-fg-color: #ffffff;
  --md-primary-fg-color--light: #f0ce3494; /* cannot locate change of colour */
  --md-primary-fg-color--dark: #6a00f5; /* cannot locate change of colour */
  --md-primary-bg-color: rgb(255, 255, 255); /* font colour for site name, light and dark toggle, search magnifying glass, and navigation header*/
  --md-primary-bg-color--light: rgba(255, 255, 255); /* colour of the word "search" */
  --md-text-link-color: rgb(255, 255, 255); /* cannot locate change of colour */
 
  /* Accent color shades */
  --md-accent-fg-color: rgb(47, 103, 245); /* highlight colour for links and navigation items on the left, nav is not affected */
  --md-accent-fg-color--transparent: hsla(249, 94%, 50%, 0.1); /* cannot locate change of colour */
  --md-accent-bg-color: rgb(43, 7, 245); /* cannot locate change of colour */
  --md-accent-bg-color--light: hsla(239, 98%, 48%, 0.7); /* cannot locate change of colour */
}

:root > * {

 

  /* Code block color shades */
  --md-code-bg-color: rgb(47, 103, 245); /* changes background colour of code section, also affects underlying colour of ``TEXT`` */
  --md-code-fg-color: rgb(255, 255, 255); /* changes text colour of ``TEXT`` */

  /* Footer */
  --md-footer-bg-color: rgb(0, 0, 0); /* changes primary background colour of footer */
  --md-footer-bg-color--dark: hsla(0, 0%, 0%, 0.32); /* cannot locate change of colour */
  --md-footer-fg-color: rgb(147, 156, 180); /* changes highlight colour for linked text in footer */
  --md-footer-fg-color--light: hsla(0, 0%, 100%); /* changes primary text colour for footer text */
  --md-footer-fg-color--lighter: hsla(0, 0%, 100%); /* changes colour of "made with" in footer */
 

}

